Name:           container-workflow-tool
Version:        1.1.0
Release:        1%{?dist}
Summary:        Tool for automation of rebuilding container images
License:        MIT
URL:            https://github.com/sclorg/%{name}
Source0:        https://github.com/sclorg/%{name}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         fix-of-missing-conf-files-in-cwt-installation.patch

BuildArch:      noarch

Requires:       fedpkg

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-flexmock

%py_provides python%{python3_pkgversion}-%{name}


%description
A python3 tool to make rebuilding container images easier by automating several
steps of the process.

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files container_workflow_tool

# install man pages manually
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 man/cwt.1

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{buildroot}%{_bindir}/cwt --help
%py3_check_import container_workflow_tool
%pytest -m "not distgit"


%files -f %{pyproject_files}
%doc README.md
%{_bindir}/cwt
%{_mandir}/man1/cwt.1*


%changelog
* Wed Sep 29 2021 Zuzana Miklankova <zmiklank@redhat.cz> - 1.1.0-1
- Initial package
